VERSION 5.00
Begin VB.Form Form_DCAL 
   Caption         =   "DCAL & TECCL Settings"
   ClientHeight    =   2445
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3795
   LinkTopic       =   "Form2"
   ScaleHeight     =   2445
   ScaleWidth      =   3795
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnDefaults 
      Caption         =   "Set to Defaults"
      Height          =   255
      Left            =   1080
      TabIndex        =   8
      Top             =   1560
      Width           =   1575
   End
   Begin VB.CommandButton btnRefresh 
      Caption         =   "Refresh"
      Height          =   255
      Left            =   1080
      TabIndex        =   7
      Top             =   1200
      Width           =   1575
   End
   Begin VB.CommandButton btnClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   1080
      TabIndex        =   6
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton btnSendTECCL 
      Caption         =   "Send"
      Height          =   255
      Left            =   2280
      TabIndex        =   5
      Top             =   840
      Width           =   855
   End
   Begin VB.CommandButton btnSendDCAL 
      Caption         =   "Send"
      Height          =   255
      Left            =   600
      TabIndex        =   4
      Top             =   840
      Width           =   855
   End
   Begin VB.TextBox txtTECCL 
      Height          =   285
      Left            =   2040
      TabIndex        =   3
      Top             =   480
      Width           =   1335
   End
   Begin VB.TextBox txtDCAL 
      Height          =   285
      Left            =   360
      TabIndex        =   0
      Top             =   480
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "TEC Current Limit:"
      Height          =   255
      Left            =   2040
      TabIndex        =   2
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Diode Calibration:"
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Width           =   1335
   End
End
Attribute VB_Name = "Form_DCAL"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim DCAL_update As Boolean, TECCL_update As Boolean

Private Sub btnClose_Click()
    Unload Form_DCAL
End Sub

Private Sub btnDefaults_Click()
    Dim Buffer(64)
    Select Case Port
        Case 1 To 8
            ' Set DCAL not supported by RS232
        Case 10
            DevCount = USBDRVD_GetDevCount(USB_GUID)
            If DevCount > 0 Then ' only send if USB DP4 detected
                ' Set DCAL=1.000V & TECCL=0.950V
                Ret = USBDRVD_VendorOrClassRequestOut(Handle_device, 2, 3, &H90, &H555, 0, VarPtr(Buffer(0)), 0)
                Ret = USBDRVD_VendorOrClassRequestOut(Handle_device, 2, 3, &H91, &H511, 0, VarPtr(Buffer(0)), 0)
            End If
    End Select

End Sub

Private Sub btnRefresh_Click()
    txtDCAL = Format(CSng(DCAL) * 3 / 4096, "0.000V")
    txtTECCL = Format(CSng(TECCL) * 3 / 4096, "0.000V")
End Sub

Private Sub btnSendDCAL_Click()
    Dim Buffer(64)
    If Val(txtDCAL.Text) > 3 Then txtDCAL.Text = "2.999V"
    Select Case Port
        Case 1 To 8
            ' Set DCAL not supported by RS232
        Case 10
            DevCount = USBDRVD_GetDevCount(USB_GUID)
            If DevCount > 0 Then ' only send if USB DP4 detected
                ' Req type=2 (Vendor), Dest=3 (other), Request=&H90 (set DCAL), Val=DCAL setting, Index=0, Len=0
                Ret = USBDRVD_VendorOrClassRequestOut(Handle_device, 2, 3, &H90, CInt(Val(txtDCAL.Text) / 3 * 4096), 0, VarPtr(Buffer(0)), 0)
            End If
    End Select
End Sub

Private Sub btnSendTECCL_Click()
    Dim Buffer(64)
    If Val(txtTECCL.Text) > 3 Then txtTECCL.Text = "2.999V"
    Select Case Port
        Case 1 To 8
            ' Set TECCL not supported by RS232
        Case 10
            DevCount = USBDRVD_GetDevCount(USB_GUID)
            If DevCount > 0 Then ' only send if USB DP4 detected
                ' Req type=2 (Vendor), Dest=3 (other), Request=&H91 (set DCAL), Val=TECCL setting, Index=0, Len=0
                Ret = USBDRVD_VendorOrClassRequestOut(Handle_device, 2, 3, &H91, CInt(Val(txtTECCL.Text) / 3 * 4096), 0, VarPtr(Buffer(0)), 0)
            End If
    End Select
End Sub

Private Sub Form_Load()
    txtDCAL = Format(CSng(DCAL) * 3 / 4096, "0.000V")
    txtTECCL = Format(CSng(TECCL) * 3 / 4096, "0.000V")
End Sub

